# DataExchange
TKXSBase
StepData

# StepData_DescrReadWrite Class Reference

`#include <StepData_DescrReadWrite.hxx>`

Inheritance diagram for StepData_DescrReadWrite:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_DescrReadWrite (const Handle(StepData_Protocol)&proto)
Standard_EXPORT Standard_Integer | CaseStep (const TCollection_AsciiString &atype) const
| Defines Case Numbers corresponding to the recognized Types Called by CaseNum (data,num) above for a Simple Type Entity Warning : CaseStep must give the same Value as Protocol does for the Entity type which corresponds to this Type given as a String .
virtual Standard_EXPORT Standard_Integer | CaseStep (const TColStd_SequenceOfAsciiString &types) const
| Same a above but for a Complex Type Entity ("Plex") The provided Default recognizes nothing .
virtual Standard_EXPORT Standard_Boolean | IsComplex (const Standard_Integer CN) const
| Returns True if the Case Number corresponds to a Complex Type ("Plex"). Remember that all possible combinations must be aknowledged to be processed Default is False for all cases. For a Protocol which defines possible Plexes, this method must be redefined. .
Standard_EXPORT const TCollection_AsciiString & | StepType (const Standard_Integer CN) const

Function specific to STEP, which delivers the StepType as it
is recorded in and read from a File compliant with STEP.
This method is symmetric to the method CaseStep.
StepType can be different from Dynamic Type's name, but
belongs to the same class of Object.
Returns an empty String if <cn> is zero.
Warning : For a Complex Type Entity, returns an Empty String
(Complex Type must be managed by users)
.

virtual Standard_EXPORT Standard_Boolean | ComplexType (const Standard_Integer CN, TColStd_SequenceOfAsciiString &types) const
| Function specific to STEP, which delivers the list of types which corresponds to a complex type. If <cn> is not for a complex type, this method returns False. Else it returns True and fills the list in alphabetic order. The default returns False. To be redefined as required. .
Standard_EXPORT void | ReadStep (const Standard_Integer CN, const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(Standard_Transient)&ent) const
| Specific Read Function. Works with StepReaderData .
Standard_EXPORT void | WriteStep (const Standard_Integer CN, StepData_StepWriter &SW, const Handle(Standard_Transient)&ent) const
| Write Function, switched by CaseNum .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepData_Protocol | theproto

## Constructor & Destructor Documentation

Standard_EXPORT StepData_DescrReadWrite::StepData_DescrReadWrite | ( | const Handle(StepData_Protocol)& | proto | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer StepData_DescrReadWrite::CaseStep | ( | const TColStd_SequenceOfAsciiString & | types | ) | const`[virtual]`

| Reimplemented from StepData_ReadWriteModule.

Standard_EXPORT Standard_Integer StepData_DescrReadWrite::CaseStep | ( | const TCollection_AsciiString & | atype | ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

virtual Standard_EXPORT Standard_Boolean StepData_DescrReadWrite::ComplexType | ( | const Standard_Integer | CN,
|  | TColStd_SequenceOfAsciiString & | types
| ) | const`[virtual]`

| Reimplemented from StepData_ReadWriteModule.

Standard_EXPORT const StepData_DescrReadWrite::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_ReadWriteModule.

virtual Standard_EXPORT Standard_Boolean StepData_DescrReadWrite::IsComplex | ( | const Standard_Integer | CN | ) | const`[virtual]`

| Reimplemented from StepData_ReadWriteModule.

Standard_EXPORT void StepData_DescrReadWrite::ReadStep | ( | const Standard_Integer | CN,
|  | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(Standard_Transient)& | ent
| ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

Standard_EXPORT const TCollection_AsciiString& StepData_DescrReadWrite::StepType | ( | const Standard_Integer | CN | ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

Standard_EXPORT void StepData_DescrReadWrite::WriteStep | ( | const Standard_Integer | CN,
|  | StepData_StepWriter & | SW,
|  | const Handle(Standard_Transient)& | ent
| ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

## Field Documentation

Handle_StepData_Protocol StepData_DescrReadWrite::theproto `[private]`

The documentation for this class was generated from the following file:

- StepData_DescrReadWrite.hxx